﻿@model IEnumerable<MIMS.Portal.ViewModels.BrandViewModel>
@using MIMS.Portal.Core.Domains;
@using Microsoft.AspNetCore.Http;
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "برندها";
}

<section id="merchant-index">
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">فهرست</h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.Name)</th>
                                @*<th>@Html.DisplayNameFor(model => model.Parent)</th>*@
                                @*<th>@Html.DisplayNameFor(model => model.CreatedDate)</th>*@
                                <th class="no-sort"><em class="fa fa-cog"></em></th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model)
                            {
                                <tr>
                                    <td>@Html.DisplayFor(modelItem => item.Name)</td>
                                    @*<td>@Html.DisplayFor(modelItem => item.ParentId)</td>*@
                                    @*<td><span dir="ltr">@item.CreatedDate.ToPeString()</span></td>*@
                                    <td>
                                        @*<a asp-action="Details" asp-controller="PosBrands" asp-route-id="@item.Id" class="btn btn-secondary fa fa-fw fa-eye" data-toggle="tooltip" title="جزئیات"></a>*@
                                        @if (item.ParentId.GetValueOrDefault() == Guid.Empty)
                                        {
                                            <a asp-action="Index" asp-controller="PosBrands" asp-route-id="@item.Id" class="btn btn-outline-secondary fa fa-fw fa-list-ul" data-toggle="tooltip" title="زیرمجموعه"></a>
                                            <a asp-action="Create" asp-controller="PosBrands" asp-route-id="@item.Id" class="btn btn-outline-primary fa fa-fw fa-plus" data-toggle="tooltip" title="افزودن مدل"></a>
                                        }
                                        <a asp-action="Delete" asp-controller="PosBrands" asp-route-id="@item.Id" class="btn btn-danger fa fa-fw fa-trash" data-toggle="tooltip" title="حذف"></a>
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
        <div class="card-footer">
            <small>
                آخرین بروز رسانی لحظاتی پیش
            </small>
        </div>
    </div>
</section>





